# $Revision: 1.28 $, $Date: 2006/08/01 19:12:48 $
Summary:	Cross SPARC GNU binary utility development utilities - binutils
Summary(es):	Utilitarios para desarrollo de binarios de la GNU - SPARC binutils
Summary(fr):	Utilitaires de dveloppement binaire de GNU - SPARC binutils
Summary(pl):	Skrone narzdzia programistyczne GNU dla SPARC - binutils
Summary(pt_BR):	Utilitrios para desenvolvimento de binrios da GNU - SPARC binutils
Summary(tr):	GNU gelitirme aralar - SPARC binutils
Name:		crosssparc-binutils
Version:	2.17.50.0.3
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
# Source0-md5:	684c535df0ff8ffaa11fe4aed14539e7
URL:		http://sources.redhat.com/binutils/
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	bison
BuildRequires:	flex
%ifarch sparc32
BuildRequires:	sparc32
%endif
ExcludeArch:	sparc sparcv9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		sparc-pld-linux
%define		arch		%{_prefix}/%{target}

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

This package contains the cross version for SPARC.

%description -l pl
Pakiet binutils zawiera zestaw narzdzi umoliwiajcych kompilacj
programw. Znajduj si tutaj midzy innymi assembler, konsolidator
(linker), a take inne narzdzia do manipulowania binarnymi plikami
programw i bibliotek.

Ten pakiet zawiera wersj skron generujc kod dla SPARC.

%prep
%setup -q -n binutils-%{version}

%build
cp /usr/share/automake/config.sub .

# ldscripts won't be generated properly if SHELL is not bash...
CFLAGS="%{rpmcflags} -fno-strict-aliasing" \
LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
%ifarch sparc
sparc32 \
%endif
./configure \
	--disable-shared \
	--disable-nls \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--enable-64-bit-bfd \
	--target=%{target}

%{__make} all \
	tooldir=%{_prefix} \
	EXEEXT=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{*dlltool,*nlmconv,*windres}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{target}-*
%dir %{arch}
%dir %{arch}/bin
%attr(755,root,root) %{arch}/bin/*
%dir %{arch}/lib
%dir %{arch}/lib/*
%{arch}/lib/ldscripts/*
%{_mandir}/man?/%{target}-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: crosssparc-binutils.spec,v $
Revision 1.28  2006/08/01 19:12:48  pluto
- updated to 2.17.50.0.3.

Revision 1.27  2006/05/11 18:20:36  pluto
- updated to 2.17.50.0.1.

Revision 1.26  2006/05/10 13:59:09  pluto
- updated to 2.16.91.0.7, fixed PR ld/2607.

Revision 1.25  2006/03/03 14:57:44  pluto
- md5.

Revision 1.24  2006/03/03 12:06:13  pluto
- updated to 2.16.91.0.6.

Revision 1.23  2006/01/04 15:37:27  pluto
- updated to 2.16.91.0.5.

Revision 1.22  2005/09/08 15:02:51  pluto
- pass -fno-strict-aliasing to avoid wrong-code (aliasing violations).

Revision 1.21  2005/09/05 07:05:34  pluto
- updated to 2.16.91.0.3.

Revision 1.20  2005/07/28 19:07:53  pluto
- updated to 2.16.91.0.2.

Revision 1.19  2005/06/26 13:25:08  pluto
- updated to 2.16.91.0.1.

Revision 1.18  2005/05/15 18:48:52  pluto
- updated to 2.16.90.0.3.

Revision 1.17  2005/05/02 15:29:03  pluto
- updated to 2.16.90.0.2.

Revision 1.16  2005/04/29 00:55:33  pluto
- disable nls.

Revision 1.15  2005/04/28 23:25:24  pluto
- updated to 2.16.90.0.1.

Revision 1.14  2005/04/07 12:18:20  pluto
- updated to 2.15.94.0.2.2.

Revision 1.13  2005/02/10 18:37:56  pluto
- oops, md5.

Revision 1.12  2005/02/10 18:24:00  pluto
- updated to 2.15.94.0.2.

Revision 1.11  2004/11/24 08:42:25  pluto
- updated to 2.15.94.0.1.

Revision 1.10  2004/10/03 14:41:31  pluto
- updated to 2.15.92.0.2.

Revision 1.9  2004/06/14 18:46:14  ankry
- added missing dir

Revision 1.8  2004/06/13 14:08:05  ankry
- now should build

Revision 1.7  2004/06/13 12:02:54  ankry
- md5

Revision 1.6  2004/06/13 11:33:18  ankry
- 2.15.91.0.1

Revision 1.5  2004/06/13 06:57:44  ankry
- fixed BRs, hopefully fixed build on sparc & amd64, unification

Revision 1.4  2004/06/11 22:38:52  ankry
BR: gettext-devel

Revision 1.3  2004/06/11 21:36:35  ankry
- sparc is excluded

Revision 1.2  2004/05/29 13:24:33  qboosh
- ExcludeArch: sparc (would conflict with native toolchain)

Revision 1.1  2004/05/22 09:11:09  pluto
- crosssparc(32) binutils.

